Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.fill
Class JRFillElementContainer

    java.lang.Object
      net.sf.jasperreports.engine.fill.JRFillElementGroup
          net.sf.jasperreports.engine.fill.JRFillElementContainer

All Implemented Interfaces:
  java.lang.Cloneable, JRFillCloneable, JRChild, JRCloneable, JRElementGroup, JRVisitable

Direct Known Subclasses:
  FillListContents, JRFillBand, JRFillCellContents, JRFillFrame.JRFillFrameElements

    public abstract class JRFillElementContainer

extends JRFillElementGroup

Abstract implementation of an element container filler.

This is the base for band, frame and crosstab cell fillers.

Version:
  $Id: JRFillElementContainer.java 3941 2010-08-20 10:55:10Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Field Summary
`protected JRFillElement[]` | `deepElements`
`protected java.util.Map` | `evaluatedStyles`
`protected JRFillExpressionEvaluator` | `expressionEvaluator`
`protected JRBaseFiller` | `filler`
`protected JRFillElement` | `firstYElement`
`protected boolean` | `hasPrintWhenOverflowElement`
`protected boolean` | `isOverflow`
`protected java.util.Set` | `stylesToEvaluate`

Fields inherited from class net.sf.jasperreports.engine.fill.JRFillElementGroup
`children, elementGroup, elements`

Constructor Summary
`protected` | `JRFillElementContainer(JRBaseFiller filler, JRElementGroup container, JRFillObjectFactory factory)`
`protected` | `JRFillElementContainer(JRFillElementContainer container, JRFillCloneFactory factory)`

Method Summary
`protected void` | `addSubElements(JRPrintElementContainer printContainer, JRFillElement element, java.util.Collection printElements)`
`protected boolean` | `buildConsolidatedStyle(JRStyle style, byte evaluation, java.lang.StringBuffer code, java.util.List condStylesToApply)`
`protected void` | `collectConditionalStyle(JRStyle style)`
`protected void` | `evaluate(byte evaluation)`
`protected JRStyle` | `evaluateConditionalStyle(JRStyle initialStyle, byte evaluation)`
`protected void` | `evaluateConditionalStyles(byte evaluation)`
`void` | `fillElements(JRPrintElementContainer printContainer)` Fills the elements from this container into a print element container.
`protected abstract int` | `getContainerHeight()` Returns the height of the element container.
`JRStyle` | `getEvaluatedConditionalStyle(JRStyle parentStyle)`
`protected int` | `getFirstY()`
`protected int` | `getStretchHeight()`
`protected void` | `initConditionalStyles()` Find all styles containing conditional styles which are referenced by elements in this band.
`protected void` | `initElements()`
`protected void` | `initFill()`
`protected void` | `moveBandBottomElements()`
`protected void` | `prepareElements(int availableHeight, boolean isOverflowAllowed)`
`protected void` | `removeBlankElements()`
`protected void` | `resetElements()`
`protected void` | `rewind()`
`protected void` | `setElementOriginProvider(JROriginProvider originProvider)`
`protected void` | `setStretchHeight(int stretchHeight)`
`protected void` | `stretchElements()`
`boolean` | `willOverflow()` Indicates whether the elements in this container will overflow.

Methods inherited from class net.sf.jasperreports.engine.fill.JRFillElementGroup
`clone, clone, createClone, getChildren, getElementByKey, getElementGroup, getElements, getStretchHeightDiff, reset, visit`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### filler

    protected JRBaseFiller filler

### isOverflow

    protected boolean isOverflow

### firstYElement

    protected JRFillElement firstYElement

### expressionEvaluator

    protected final JRFillExpressionEvaluator expressionEvaluator

### deepElements

    protected JRFillElement[] deepElements

### stylesToEvaluate

    protected java.util.Set stylesToEvaluate

### evaluatedStyles

    protected java.util.Map evaluatedStyles

### hasPrintWhenOverflowElement

    protected boolean hasPrintWhenOverflowElement

Constructor Detail

### JRFillElementContainer

    protected JRFillElementContainer(JRBaseFiller filler,
                                     JRElementGroup container,
                                     JRFillObjectFactory factory)

### JRFillElementContainer

    protected JRFillElementContainer(JRFillElementContainer container,
                                     JRFillCloneFactory factory)

Method Detail

### initElements

    protected final void initElements()

### evaluate

    protected void evaluate(byte evaluation)
                     throws JRException

  Throws:
    `JRException`

### resetElements

    protected void resetElements()

### willOverflow

    public boolean willOverflow()

  Indicates whether the elements in this container will overflow.

  Returns:
    whether this container will overflow

### initFill

    protected void initFill()

### prepareElements

    protected void prepareElements(int availableHeight,
                                   boolean isOverflowAllowed)
                            throws JRException

  Throws:
    `JRException`

### setStretchHeight

    protected void setStretchHeight(int stretchHeight)

### stretchElements

    protected void stretchElements()

### getStretchHeight

    protected int getStretchHeight()

### moveBandBottomElements

    protected void moveBandBottomElements()

### removeBlankElements

    protected void removeBlankElements()

### fillElements

    public void fillElements(JRPrintElementContainer printContainer)
                      throws JRException

  Fills the elements from this container into a print element container.

  Parameters:
    `printContainer` - the print element container
  Throws:
    `JRException`

### addSubElements

    protected void addSubElements(JRPrintElementContainer printContainer,
                                  JRFillElement element,
                                  java.util.Collection printElements)

### rewind

    protected void rewind()
                   throws JRException

  Throws:
    `JRException`

### getFirstY

    protected int getFirstY()

### getContainerHeight

    protected abstract int getContainerHeight()

  Returns the height of the element container.

  Returns:
    the height of the element container

### initConditionalStyles

    protected void initConditionalStyles()

  Find all styles containing conditional styles which are referenced by elements in this band.

### collectConditionalStyle

    protected void collectConditionalStyle(JRStyle style)

### evaluateConditionalStyles

    protected void evaluateConditionalStyles(byte evaluation)
                                      throws JRException

  Throws:
    `JRException`

### evaluateConditionalStyle

    protected JRStyle evaluateConditionalStyle(JRStyle initialStyle,
                                               byte evaluation)
                                        throws JRException

  Throws:
    `JRException`

### buildConsolidatedStyle

    protected boolean buildConsolidatedStyle(JRStyle style,
                                             byte evaluation,
                                             java.lang.StringBuffer code,
                                             java.util.List condStylesToApply)
                                      throws JRException

  Throws:
    `JRException`

### getEvaluatedConditionalStyle

    public JRStyle getEvaluatedConditionalStyle(JRStyle parentStyle)

### setElementOriginProvider

    protected final void setElementOriginProvider(JROriginProvider originProvider)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com